Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.ioc.components
Interface ComponentTable

All Superinterfaces:
  ComponentDictionary

All Known Implementing Classes:
  ComponentTableImpl

    public interface ComponentTable

extends ComponentDictionary

Method Summary
`void` | `addAbstractComponent(AbstractComponent component)`
`void` | `addConfigurationComponent(ConfigurationComponent component)`
`void` | `addServiceComponent(ServiceComponent component)`
`ServiceComponent` | `findServiceComponent(int nameSymbol)`
`void` | `initialize(NameTable nameTable)`
`void` | `initialize(NameTable nameTable, ComponentTable parent, java.util.Map<java.lang.Integer,java.lang.Class> serviceInterfaceMap)`
`boolean` | `isEmpty()`
`void` | `setDefaultServiceComponent(ServiceComponent defaultServiceComponent)`

Methods inherited from interface com.servingxml.ioc.components.ComponentDictionary
`getAbstractComponent, getConfigurationComponent, getDefaultServiceComponent, getInterface, getServiceComponent, printDiagnostics`

Method Detail

### addServiceComponent

    void addServiceComponent(ServiceComponent component)

### addConfigurationComponent

    void addConfigurationComponent(ConfigurationComponent component)

### addAbstractComponent

    void addAbstractComponent(AbstractComponent component)

### setDefaultServiceComponent

    void setDefaultServiceComponent(ServiceComponent defaultServiceComponent)

### isEmpty

    boolean isEmpty()

### initialize

    void initialize(NameTable nameTable,
                    ComponentTable parent,
                    java.util.Map<java.lang.Integer,java.lang.Class> serviceInterfaceMap)

### initialize

    void initialize(NameTable nameTable)

### findServiceComponent

    ServiceComponent findServiceComponent(int nameSymbol)

  Specified by:
    `findServiceComponent` in interface `ComponentDictionary`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD